<?php

declare(strict_types=1);

namespace Pdahal\Xmpp\AuthTypes;

class Plain extends Authentication
{
    protected string $name = 'PLAIN';

    public function encodedCredentials(): string
    {
        $credentials = "\x00{$this->options->getUsername()}\x00{$this->options->getPassword()}";
        return self::quote(base64_encode($credentials));
    }
}
