<?php

declare(strict_types=1);

namespace Pdahal\Xmpp\Exceptions;

use Exception;

class StreamError extends Exception
{
    public function __construct(string $streamErrorType)
    {
        parent::__construct("Unrecoverable stream error ({$streamErrorType}), trying to reconnect...");
    }
}
