<?php

declare(strict_types=1);

namespace Pdahal\Xmpp\AuthTypes;

use Pdahal\Xmpp\Options;
use Pdahal\Xmpp\Xml\Xml;

abstract class Authentication implements Authenticable
{
    use Xml;

    protected string $name;

    public function __construct(protected Options $options)
    {
    }

    public function getName(): string
    {
        return $this->name;
    }
}
