<?php

declare(strict_types=1);

namespace Pdahal\Xmpp\Buffers;

interface Buffer
{
    /**
     * Write to buffer (add to array of values)
     */
    public function write(string $data): void;

    /**
     * Read from buffer and delete the data
     */
    public function read(): string;
}
